## org.apache.poi.hslf.record
Class PPDrawingGroup

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.PPDrawingGroup

    public final class PPDrawingGroup

extends RecordAtom

Container records which always exists inside Document. It always acts as a holder for escher DGG container which may contain which Escher BStore container information about pictures containes in the presentation (if any).

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `PPDrawingGroup(byte[] source, int start, int len)`

Method Summary
`Record[]` `getChildRecords()` We're pretending to be an atom, so return null
`EscherContainerRecord` `getDggContainer()`
`EscherDggRecord` `getEscherDggRecord()`
`long` `getRecordType()` We are type 1035
`void` `writeOut(java.io.OutputStream out)` Have the contents printer out into an OutputStream, used when writing a file back out to disk (Normally, atom classes will keep their bytes around, but non atom classes will just request the bytes from their children, then chuck on their header and return)

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PPDrawingGroup

    protected PPDrawingGroup(byte[] source,
                             int start,
                             int len)

Method Detail

### getRecordType

    public long getRecordType()

  We are type 1035

  Specified by:
    `getRecordType` in class `Record`

### getChildRecords

    public Record[] getChildRecords()

  We're pretending to be an atom, so return null

  Overrides:
    `getChildRecords` in class `RecordAtom`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Description copied from class: `Record`
  Have the contents printer out into an OutputStream, used when writing a file back out to disk (Normally, atom classes will keep their bytes around, but non atom classes will just request the bytes from their children, then chuck on their header and return)

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### getDggContainer

    public EscherContainerRecord getDggContainer()

### getEscherDggRecord

    public EscherDggRecord getEscherDggRecord()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.